Page MenuHomePhabricator

Archive the EditAccount extension
Open, Needs TriagePublicRequest

Description

Reason

@ashley wrote on a patch set:

The code is fine and does what it says on the tin, but the extension has a much bigger problem: namely it's been broken since AuthManager was introduced and no-one's maintaining and/or fixing it, and as such it should probably be archived instead.

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/EditAccount/+/505273/

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#ProjectX> as a tag for this task, or MediaWiki-extensions-Other if there is no project. (Requested in T205293)
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:EditAccount): replace page contents with {{Archived extension|3191112|EditUser|reason=Broken since AuthManager was introduced; see also [[phab:T221494]]}}.
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Archive Wikidata item associated with documentation page (https://www.wikidata.org/wiki/Q21676224) (remove nearly all statements, except instance of (P31) = MediaWiki extension (Q6805426), which should add a qualifier end time (P582) = the YYYY-MM-DD date that you decided to archive extension, generally per edit history, change English (and other languages if possible) description to "archived MediaWiki extension" (and its translation)).
  • Phabricator
    • Archive Phabricator project <#ProjectX> for the extension.
    • Mark all Phabricator tasks for the extension either Declined or Invalid.
    • Edit Phabricator project <#ProjectX> description for the extension with a link to this ticket.
  • Translatewiki.net/translations
    • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt) (add translatewiki.net project as a tag for this task).
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptApr 20 2019, 7:03 AM
Dinoguy1000 updated the task description. (Show Details)Apr 20 2019, 11:19 AM
Dinoguy1000 updated the task description. (Show Details)
MacFan4000 updated the task description. (Show Details)Apr 30 2019, 4:52 PM

Change 507372 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[translatewiki@master] Remove EditAccount

https://gerrit.wikimedia.org/r/507372

Change 507377 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[integration/config@master] Archive EditAccount

https://gerrit.wikimedia.org/r/507377

Change 507378 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[mediawiki/extensions@master] Remove EditAccount

https://gerrit.wikimedia.org/r/507378

Change 507372 merged by jenkins-bot:
[translatewiki@master] Remove EditAccount

https://gerrit.wikimedia.org/r/507372

MacFan4000 updated the task description. (Show Details)Apr 30 2019, 6:50 PM

Change 507378 merged by Umherirrender:
[mediawiki/extensions@master] Remove EditAccount

https://gerrit.wikimedia.org/r/507378

MacFan4000 updated the task description. (Show Details)May 9 2019, 4:44 PM
hashar updated the task description. (Show Details)May 16 2019, 10:55 AM

Change 507377 merged by jenkins-bot:
[integration/config@master] Archive EditAccount

https://gerrit.wikimedia.org/r/507377

Kghbln added a subscriber: Kghbln.Jun 8 2019, 11:44 AM

Change 515599 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/EditAccount@master] Archive extension

https://gerrit.wikimedia.org/r/515599

Change 515599 merged by Umherirrender:
[mediawiki/extensions/EditAccount@master] Archive extension

https://gerrit.wikimedia.org/r/515599

What a shame. This was the last extension allowing to edit an account in a sane way.

Dinoguy1000 updated the task description. (Show Details)Jun 19 2019, 10:49 PM